import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { DataBrewClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../DataBrewClient";
import { DeleteRulesetRequest, DeleteRulesetResponse } from "../models/models_0";
/**
 * @public
 */
export { __MetadataBearer, $Command };
/**
 * @public
 *
 * The input for {@link DeleteRulesetCommand}.
 */
export interface DeleteRulesetCommandInput extends DeleteRulesetRequest {
}
/**
 * @public
 *
 * The output of {@link DeleteRulesetCommand}.
 */
export interface DeleteRulesetCommandOutput extends DeleteRulesetResponse, __MetadataBearer {
}
declare const DeleteRulesetCommand_base: {
    new (input: DeleteRulesetCommandInput): import("@smithy/smithy-client").CommandImpl<DeleteRulesetCommandInput, DeleteRulesetCommandOutput, DataBrewClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes>;
    getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
/**
 * @public
 * <p>Deletes a ruleset.</p>
 * @example
 * Use a bare-bones client and the command you need to make an API call.
 * ```javascript
 * import { DataBrewClient, DeleteRulesetCommand } from "@aws-sdk/client-databrew"; // ES Modules import
 * // const { DataBrewClient, DeleteRulesetCommand } = require("@aws-sdk/client-databrew"); // CommonJS import
 * const client = new DataBrewClient(config);
 * const input = { // DeleteRulesetRequest
 *   Name: "STRING_VALUE", // required
 * };
 * const command = new DeleteRulesetCommand(input);
 * const response = await client.send(command);
 * // { // DeleteRulesetResponse
 * //   Name: "STRING_VALUE", // required
 * // };
 *
 * ```
 *
 * @param DeleteRulesetCommandInput - {@link DeleteRulesetCommandInput}
 * @returns {@link DeleteRulesetCommandOutput}
 * @see {@link DeleteRulesetCommandInput} for command's `input` shape.
 * @see {@link DeleteRulesetCommandOutput} for command's `response` shape.
 * @see {@link DataBrewClientResolvedConfig | config} for DataBrewClient's `config` shape.
 *
 * @throws {@link ConflictException} (client fault)
 *  <p>Updating or deleting a resource can cause an inconsistent state.</p>
 *
 * @throws {@link ResourceNotFoundException} (client fault)
 *  <p>One or more resources can't be found.</p>
 *
 * @throws {@link ValidationException} (client fault)
 *  <p>The input parameters for this request failed validation.</p>
 *
 * @throws {@link DataBrewServiceException}
 * <p>Base exception class for all service exceptions from DataBrew service.</p>
 *
 */
export declare class DeleteRulesetCommand extends DeleteRulesetCommand_base {
}
